Get all bank accounts Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v2/bank-accounts

This endpoint will return all bank accounts in the firm relevant to the user accessing them.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [accounts].

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[account_uuids] string

    Filter by a comma separated list of account UUIDs.

  • filter[circle_uuids] string

    Filter by a comma separated list of circle UUIDs.

  • filter[account_name] string

    Filter by name.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, account_name]. Negative sign to denote DESC. Defaults to 'created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • account_name string
      • account_holders string
      • account_number string
      • sort_code string
      • accounts object
        Hide accounts attributes Show accounts attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

GET /api/v2/bank-accounts
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/bank-accounts' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "399a07ac-23a4-4e6f-8df7-7cc36b9e3aa3",
      "created_at": "2026-07-17T15:25:31+01:00",
      "updated_at": "2026-07-17T15:25:31+01:00",
      "account_name": "Savings Account",
      "account_holders": "Mr John A Smith",
      "account_number": "12345678",
      "sort_code": "123456",
      "accounts": {
        "uuid": "7c3303e7-56d5-4c1c-84e9-2f4e7bfd9576",
        "created_at": "2026-07-17T15:25:31+01:00",
        "updated_at": "2026-07-17T15:25:31+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": {
          "uuid": "11b7fb3c-bff7-4355-b5d5-6e063a2cdde5",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "third_party": "nucleus",
          "reference": "AB123456"
        }
      }
    }
  ]
}